Headless LMS

Update a student's profile

PATCH /api/students/{id}. Update a student's profile. Headless LMS Organizations API reference.

PATCH
/api/students/{id}

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/students/string" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "email": "user@example.com"  }'
{  "id": "string",  "firstName": "string",  "lastName": "string",  "email": "string",  "image": "string",  "entitlementCount": -9007199254740991,  "avgProgress": -9007199254740991,  "status": "invited",  "joinedAt": "string",  "lastActiveAt": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}